## viewvc 1.1.22

=== debian/changelog ===
viewvc (1.1.22-1) unstable; urgency=medium

  * New upstream release (closes: #614509).  Main changes since last release
    (1.1.5) are:
    - Improved root look and SVN cache performance.
    - New 'max_filesize_kbytes' and 'binary_mime_types' configuration options.
    - Tarball generation improvements.
    - File content handling improvements.
    - Miscellaneous cvsdb improvements.
    - Add Basic authentication support to standalone.py.
    - The charset detection code is more robust.
    - Remote SVN views are now more performant and robust.
    - Added support for custom revision log markup rules.
    - Use Pygments lexer-guessing functionality.
    - Fixed a lot of bugs in corner cases.
  * I'm not able to see any problems with TypeError, so closes: #706096.
    Please reopen if it keeps happening.
  * There was a problem in the migration code from viewcvs into viewvc, but by
    now everyone is in viewvc 1.1, so I'm sad to say that this finally closes:
    #409864, #410273, #410324.
  * This release ships two new binaries in each package: a WSGI and a FCGI
    additionally to the normal CGI program, to give you any possible option.
  * debian/control:
    - Removed ancient Replaces and Conflicts with versions 8-10 years old.
    - Added Vcs-* fields.
    - Bumped Standards-Version to 3.9.5.
    - Rewritten Descriptions for both packages to reflect that now we ship 3
      binaries.
    - Add Depends on python, dh-python.
  * debian/patches:
    - Removed numbers from patches, remnants from the dpatch era, and appended
      .patch suffix.
    - Added DEP-3 headers to all of them.
    - Patches rev2369, rev2547, rev2551, compression-content-length,
      CVE-2012-3356, CVE-2012-3357 and CVE-2012-4533: Merged upstream.
    - Remaining patches are resynced against current tree.
    - shebang_wsgi_scripts.patch: Added to get rid of lintian warnings.
  * debian/rules: Rewritten from scratch with latest abstractions in mind,
    trying to mimic the old behavior.
  * debian/NEWS: Removed.
  * debian/source/format: Moved to 3.0 (quilt).
  * debian/compat: Bumped to 9, modified debian/control.
  * debian/watch: Added.

 -- David Martínez Moreno <ender@debian.org>  Thu, 10 Jul 2014 21:42:45 +0200

viewvc (1.1.5-1.4) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2012-4533: Fix XSS in commit message view. Found and patch provided
    by Nicolás Alvarez (closes: #69106).

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 23 Oct 2012 08:19:39 +0000

viewvc (1.1.5-1.3) unstable; urgency=low

  * Non-maintainer upload.

  [ gregor herrmann ]
  * [SECURITY] Fix "CVE-2012-3356 / CVE-2012-3357":
    - CVE-2012-3356: * security fix: complete authz support for remote SVN views
    - CVE-2012-3357: * security fix: log msg leak in SVN revision view with
                     unreadable copy source
    Add patches "CVE-2012-3356" and "CVE-2012-3357", taken from upstream svn.
    (Closes: #679069)

  [ Ben Hutchings ]
  * view_query: No longer allow an undocumented URL parameter to
    override the admin-declared SQL row limit, which could result
    in excessive CPU usage and memory consumption (CVE-2009-5024)
    (Closes: #671482)

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 14 Oct 2012 20:12:07 +0000

viewvc (1.1.5-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "viewvc runs extremely slowly (~15s per page)":
    backport upstream commit r2471 as new patch compression-content-length:
    don't set Content-Length when compression is used.
    (Closes: #636805)

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Aug 2012 16:21:49 +0200

viewvc (1.1.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Backporting oneliner fix from version 1.1.6, r2369,
    (escape): Ensure that the input is string-ified before doing string
    transformations on it. (Closes: #601805)
    Thanks to Tom Albers.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 30 Oct 2010 12:12:36 +0200

viewvc (1.1.5-1) unstable; urgency=medium

  [ John Zaitseff ]
  * New upstream release (closes: #532611, #575777, #575787, #576307).  This
    solves CVE-2010-0004, CVE-2010-0005, CVE-2010-0736 and CVE-2010-0132.
  * Extensive rewrite of files in the debian directory.  Updated to Debian
    policy 3.8.4, updated all control files to Debhelper 7, rewrote
    debian/rules for clarity (and to use Debhelper 7).
  * Removed all references to Debconf, as previous versions of this
    package violated Debian policy (section 10.7.3): /etc/viewvc/viewvc.conf
    is a conffile, and maintainer scripts must NOT modify it at any time.
  * Reorganised the installation files in /usr/lib/viewvc.  The CGI
    programs are now links to files in /usr/lib/viewvc/cgi-bin.
  * Packaged the Apache mod-python modules for optional use (in
    /usr/lib/viewvc/mod-python).  See README.Debian for more information.
  * Moved the static help documentation ("docroot") from /usr/share/viewvc
    to /usr/share/viewvc/docroot, as per Webapps Policy, section 3.1.
  * Updated the debian/patches subdirectory to remove patches no longer
    relevant to ViewVC 1.1.x and to update those that still apply.
  * debian/control:
    - Removed the dependency on gawk, as that was only required for Debconf
      configuration.
    - Demoted the dependency on mime-support to "Suggests": ViewVC can use
      it, if appropriately configured, but does not require it.
    - Added a suggestion for the python-tk package: viewvc-standalone(1)
      uses this when passed the "--gui" flag.
    - Modified all dependencies as appropriate.  Depend on httpd-cgi, not
      httpd, since the viewvc package needs a CGI server.  In addition,
      python-egenix-mxdatetime is no longer needed (since ViewVC 1.0.x).
    - Updated the XS-Python-Version field to "all" (Closes: #570573).
    - ViewVC 1.1.x supports only python-pygments as a syntax highlighter,
      not enscript.  Adjusted dependencies as appropriate.

  [ David Martínez Moreno ]

