=== debian/control ===
Source: viewvc
Section: vcs
Priority: optional
Maintainer: David Martínez Moreno <ender@debian.org>
Build-Depends-Indep: python, python-subversion, dh-python
Build-Depends: debhelper (>= 9), quilt
Standards-Version: 3.9.5
X-Python-Version: all
Homepage: http://www.viewvc.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/viewvc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/viewvc.git;a=summary

Package: viewvc
Architecture: all
Depends: python, ${python:Depends}, python-subversion, cvs | subversion, rcs, ${misc:Depends}
Recommends: python-pygments, apache2 | httpd-cgi
Suggests: cvsgraph, viewvc-query, libapache2-mod-python, python-tk, mime-support
XB-Python-Version: ${python:Versions}
Description: web interface for CVS and/or Subversion repositories
 ViewVC is a browser (web) interface for CVS and Subversion version
 control repositories.  It generates templatized HTML to present
 navigable directory, revision, and change log listings.  It can display
 specific versions of files as well as diffs between those versions.
 .
 Basically, ViewVC provides the bulk of the report-like functionality you
 expect out of your version control tool, but much more prettily than the
 average textual command-line program output.
 .
 ViewVC can be used in two modes, both of which are supported by this
 package: (1) by running the simple stand-alone server
 "viewvc-standalone", with or without a GUI, and/or (2) by integrating
 ViewVC with any CGI-enabled HTTP server like Apache or nginx.
 .
 Three different binaries are provided: FastCGI, WSGI (for Apache mod_python),
 and plain CGI.

Package: viewvc-query
Architecture: all
Depends: viewvc (= ${binary:Version}), python, python-mysqldb, ${python:Depends}, ${misc:Depends}
Suggests: mysql-server
XB-Python-Version: ${python:Versions}
Description: utility to query CVS and Subversion commit database
 ViewVC is a browser (web) interface for CVS and Subversion version
 control repositories.  It generates templatized HTML to present
 navigable directory, revision, and change log listings.  It can display
 specific versions of files as well as diffs between those versions.
 .
 This package includes query.cgi (and equivalent FastCGI and mod-python
 variants): a utility to query a separate CVS and Subversion commit database.
 You can search for multiple matches by typing comma-separated lists into the
 text fields.  Regular expressions and wildcards are also supported.  It
 requires a stand-alone MySQL database server.
