=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://viewvc.tigris.org/servlets/ProjectDocumentList?folderID=6004 /files/documents/.*/viewvc-(.*)\.tar\.gz
