## viewvc 1.1.26

=== debian/changelog ===
viewvc (1.1.26-1) unstable; urgency=medium

  * Mangle Debian version in debian/watch
  * New upstream version 1.1.26
  * Refresh patches

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 28 Jan 2017 22:49:18 +0500

viewvc (1.1.25+repack-1) unstable; urgency=medium

  * Update debian/watch
  * Add myself as a maintainer (Closes: 843441)
  * Modernize Build-Depends field
  * Use secure URLs for Vcs-Git and Vcs-Browser
  * Rearrange dependencies
  * Convert to machine-readable copyright
  * Suggest default-mysql-server, not mysql-server
  * New upstream version 1.1.25+repack
  * Remove unnecessary debian/README.source
  * Update README.Debian
  * Refresh patches
  * Remove obsolete debian/pycompat
  * Move INSTALL documentation to README.Debian
  * Bump Standards-Version to 3.9.8

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 10 Nov 2016 00:02:12 +0500
