=== debian/control ===
--- 
+++ 
@@ -1,20 +1,32 @@
 Source: viewvc
 Section: vcs
 Priority: optional
-Maintainer: David Martínez Moreno <ender@debian.org>
-Build-Depends-Indep: python, python-subversion, dh-python
-Build-Depends: debhelper (>= 9), quilt
-Standards-Version: 3.9.5
+Maintainer: Lev Lamberov <dogsleg@debian.org>
+Build-Depends-Indep: python,
+                     python-subversion,
+                     dh-python
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
 X-Python-Version: all
 Homepage: http://www.viewvc.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/viewvc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/viewvc.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/viewvc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/viewvc.git/
 
 Package: viewvc
 Architecture: all
-Depends: python, ${python:Depends}, python-subversion, cvs | subversion, rcs, ${misc:Depends}
-Recommends: python-pygments, apache2 | httpd-cgi
-Suggests: cvsgraph, viewvc-query, libapache2-mod-python, python-tk, mime-support
+Depends: python,
+         ${python:Depends},
+         ${misc:Depends},
+         python-subversion,
+         cvs | subversion,
+         rcs
+Recommends: python-pygments,
+            apache2 | httpd-cgi
+Suggests: cvsgraph,
+          viewvc-query,
+          libapache2-mod-python,
+          python-tk,
+          mime-support
 XB-Python-Version: ${python:Versions}
 Description: web interface for CVS and/or Subversion repositories
  ViewVC is a browser (web) interface for CVS and Subversion version
@@ -36,8 +48,12 @@
 
 Package: viewvc-query
 Architecture: all
-Depends: viewvc (= ${binary:Version}), python, python-mysqldb, ${python:Depends}, ${misc:Depends}
-Suggests: mysql-server
+Depends: viewvc (= ${binary:Version}),
+         python,
+         ${python:Depends},
+         ${misc:Depends},
+         python-mysqldb
+Suggests: default-mysql-server
 XB-Python-Version: ${python:Versions}
 Description: utility to query CVS and Subversion commit database
  ViewVC is a browser (web) interface for CVS and Subversion version
