=== debian/watch ===
version=4
         opts=s/.*\/v?([\d\.-]+)\.tar\.gz/viewvc-$1.tar.gz/,dversionmangle=s/\+repack// \
             https://github.com/viewvc/viewvc/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
